//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

int noopchan_Add(const char* chan);
int reservednicklist_Add(const char* chan);
int ircopinfo_Add(const char* opname);
int ircopinfo_SetHost(const char* opname, const char* host);
int ircopinfo_SetFlag(const char* opname, const char* flag);
int ircopinfo_SetPass(const char* opname, const char* pass);

struct ircopinfo* ircoplist_GetItem(const char* name);

void listdata_ClearNew();
void listdata_Confirm();

int conflisteners_Add(int port, const char* interfaceip, int iptype);

int webirc_Add();
int webirc_SetHost(const char* host);
int webirc_SetType(const char* type);
int webirc_SetIdent(const char* ident);
int webirc_SetPassword(const char* pw);
int webirc_EntryComplete();

int webirc_AccessAllowed(const char* host, const char* passw, const char* type);
const char* webirc_GetIdent();

struct conflistener {
	int port;
	char ip[IPMAXLEN+1];
	int iptype;
};
void* conflisteners;
