//    WeIRCd administration tool
//    Copyright (C) 2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "admintool.h"

void urls_OpenUrl(const char* url) {
	if (strstw(url,"http://") == 0 || strstw(url,"www.") == 0) {
		//http protocol
		char* urlcopy = alloca(strlen(url)+strlen("http://")+1);
		if (strstw(url,"http://") != 0) {
			strcpy(urlcopy,"http://");
		}else{strcpy(urlcopy,"");}
		strcat(urlcopy,url);
#ifdef WIN
		ShellExecute(NULL, "open", urlcopy, NULL, NULL, SW_SHOWNORMAL);
#endif
#ifndef WIN
		char* cmd = alloca(strlen(urlcopy)+1+strlen("xdg-open")+1);
		sprintf(cmd,"xdg-open %s",urlcopy);
		system(cmd);
#endif
	}
}