//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

struct weircd_ipdata {
#ifdef IPV6
	char ip[INET6_ADDRSTRLEN+1];
#endif
#ifndef IPV6
	char ip[16];
#endif
	long lastconnect;
	long lastconnect2;
	long lastnickregister;
	long lastchanregister;
	long lastexcessflood;
	long lastnickfail1;
	long lastnickfail2;
	long lastnickfail3;
	long nicklock;
	unsigned long long lastused;
};

struct weircd_ipdata* ips_GetDataByPtr(void* ptr);
void* ips_GetPtr(const char* vIp);
int ips_ClonesAlarm(const char* vIp);
int ips_Throttled(const char* vIp);
void ips_AutoRemove();
int ips_NickservKill(const char* ip);
void ips_NickservLogin(const char* ip);
int ips_RenameBlocked(const char* ip);
void ips_BlockRename(const char* ip);
