//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

struct ircopflags {
	int flag_global; //global kill & gline
	int flag_linking; //establish new links etc
	int flag_services; //use services
	int flag_sethost; //use sethost on oneself
	int flag_rehash; //use /REHASH
	int flag_shutdown; //use /DIE and /RESTART
	int flag_connectionnotices; //allow usermode +c for connection notices
	int flag_noflood; //allow usermode +F for deactivation of excess flood (sendq limit still present)
	int flag_modules; //use /MODULES
};
struct ircopinfo {
	char* name;
	char* pass;
	char* host;
	struct ircopflags flags;
};