//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "weircd.h"

#define PROCESSLENGTH 1000

int alreadychannelopmessage = 0;
int alreadyonlyserversmessage = 0;

char parameterresult[300];
void mode_SendChannelBans(USER userid, CHANNEL chan, int listmodenumeric) {
	if (userid == NOUSER) {return;}
	if (udat(userid)->pleaseremove == 1) {return;}
	if (chan == NOCHAN) {return;}
	int r = 0;
	while (r < MAXBANSPERCHAN) {
		if (cdat(chan)->ban[r] != NULL) {
			if (listmodenumeric == 1) {
				usnd(userid,":%s %d %s %s b %s %s %d",svname(), COMPILEOPTION_LISTMODE, udat(userid)->nickname, cdat(chan)->name, cdat(chan)->ban[r]->mask, cdat(chan)->ban[r]->actor, cdat(chan)->ban[r]->time);
			}else{
				usnd(userid,":%s 367 %s %s %s %s %d",svname(),udat(userid)->nickname, cdat(chan)->name, cdat(chan)->ban[r]->mask, cdat(chan)->ban[r]->actor, cdat(chan)->ban[r]->time);
			}
		}
		r += 1;
	}
	if (listmodenumeric == 1) {
		usnd(userid,":%s %d %s %s :End of Channel Ban List",svname(),COMPILEOPTION_LISTMODE+1,udat(userid)->nickname,cdat(chan)->name);
	}else{
		usnd(userid,":%s 368 %s %s :End of Channel Ban List",svname(),udat(userid)->nickname,cdat(chan)->name);
	}
}
int isoponchan(USER userid, CHANNEL chan) {
	if (userid == NOUSER) {return -1;}
	if (udat(userid)->pleaseremove == 1) {return -1;}
	if (chan == NOCHAN) {return -1;}
	if (usr_IsUserInChan(userid,chan) == -1) {return -1;}
	void* item = usr_chans_GetHandleByChan(userid,chan);
	if (item != NULL) {
		if (usr_chans_GetInfo(item)->iamop == 1) {
			return 0;
		}
		return -1;
	}
	return -1;
}
int ishoponchan(USER userid, CHANNEL chan) {
	if (userid == NOUSER) {return -1;}
	if (udat(userid)->pleaseremove == 1) {return -1;}
	if (chan == NOCHAN) {return -1;}
	if (usr_IsUserInChan(userid,chan) == -1) {return -1;}
	void* item = usr_chans_GetHandleByChan(userid,chan);
	if (item != NULL) {
		if (usr_chans_GetInfo(item)->iamhalfop == 1) {
			return 0;
		}
		return -1;
	}
	return -1;
}
int isvoiceonchan(USER userid, CHANNEL chan) {
	if (udat(userid)->pleaseremove == 1) {return -1;}
	if (chan == NOCHAN) {return -1;}
	if (usr_IsUserInChan(userid,chan) == -1) {return -1;}
	void* item = usr_chans_GetHandleByChan(userid,chan);
	if (item != NULL) {
		if (usr_chans_GetInfo(item)->iamvoice == 1) {
			return 0;
		}
		return -1;
	}
	return -1;
}
/*char* getparameter(int nr, char* parameters) {
	char* copy = parameters;
	
	char mymodestring[300];
	strcpy(mymodestring,"");
	strncpy(mymodestring,parameters,299);
	mymodestring[299] = 0;
	trimleft(mymodestring);
	int z = 1;
	while (z < nr) {
		if (charpos(mymodestring,32) < 0) {
			strcpy(parameterresult,"");
			return parameterresult;
		}
		cut(mymodestring,charpos(mymodestring,' ')+1);
		z += 1;
	}
	cutonfirstspace(mymodestring);
	strcpy(parameterresult,mymodestring);
	return parameterresult;
}*/
char getchannelmodes_staticbuffer[500];
const char* mode_GetChannelModes(CHANNEL chanid, int outside) {
	char tempstr[200];
	strcpy(getchannelmodes_staticbuffer,"n\0");
	if (cdat(chanid)->mode_blockcolours == 1) {strcat(getchannelmodes_staticbuffer,"c\0");}
	if (cdat(chanid)->mode_inviteonly == 1) {strcat(getchannelmodes_staticbuffer,"i\0");}
	if (cdat(chanid)->mode_moderated == 1) {strcat(getchannelmodes_staticbuffer,"m\0");}
	if (cdat(chanid)->mode_ircopsonly == 1) {strcat(getchannelmodes_staticbuffer,"O\0");}
	if (cdat(chanid)->mode_private == 1) {strcat(getchannelmodes_staticbuffer,"s\0");}
	if (cdat(chanid)->mode_topiclock == 1) {strcat(getchannelmodes_staticbuffer,"t\0");}
	if (cdat(chanid)->mode_registered == 1) {strcat(getchannelmodes_staticbuffer,"r\0");}
	
	if (cdat(chanid)->userlimit > 0) {strcat(getchannelmodes_staticbuffer,"l\0");}
	if (cdat(chanid)->password != 0) {strcat(getchannelmodes_staticbuffer,"k\0");}
	if (cdat(chanid)->userlimit > 0 && outside == 0) {sprintf(&tempstr[0]," %d",cdat(chanid)->userlimit);strcat(getchannelmodes_staticbuffer,tempstr);}
	if (cdat(chanid)->password != 0 && outside == 0) {strcat(getchannelmodes_staticbuffer," ");strcat(getchannelmodes_staticbuffer,cdat(chanid)->password);}
	return getchannelmodes_staticbuffer;
}
void mode_SendChanModesToUser(USER userid, CHANNEL channelid,int outside) {
	usnd(userid,":%s 324 %s %s +%s",svname(),udat(userid)->nickname,cdat(channelid)->name,mode_GetChannelModes(channelid,outside));
}
#define MSUCCESS 1
#define MERR_FAILED 0
#define MERR_NEEDCHANOP -1
#define MERR_BANLISTFULL -2
#define MERR_NEEDIRCOP -3
int mode_ExecuteWithParameter(USER userid, CHANNEL channelid, char mode, const char* parameter, int isplus) {
	char* target = alloca(strlen(parameter)+1);
	strcpy(target, parameter);
	trimleft(target);cutonfirstspace(target);
	USER z;
	int r;
	if (strcasecmp(target,"") == 0) {return MERR_FAILED;}
	if (mode == 'b') {
		if (isoponchan(userid,channelid) == -1 && ishoponchan(userid,channelid) == -1 && udat(userid)->isircop == 0 && udat(userid)->mode_servicesbot == 0) {
			return MERR_NEEDCHANOP;
		}
		char lcltarget[MAXUSERMASKLEN+50];
		strncpy(lcltarget,target,MAXUSERMASKLEN);
		lcltarget[MAXUSERMASKLEN] = 0;
		masks_MakeValid(lcltarget);
		if (isplus == 1) {
			r = 0;
			while (r < MAXBANSPERCHAN) {
				if (cdat(channelid)->ban[r] != NULL) {
					if (strcasecmp(cdat(channelid)->ban[r]->mask,lcltarget) == 0) {
						return MERR_FAILED;
					}
				}
				r += 1;
			}
			r = 0;
			while (r < MAXBANSPERCHAN) {
				if (cdat(channelid)->ban[r] == NULL) {
					cdat(channelid)->ban[r] = malloc(sizeof(struct weircd_channelban));
					if (cdat(channelid)->ban[r] != NULL) {
						memset(cdat(channelid)->ban[r],0,sizeof(struct weircd_channelban));
						cdat(channelid)->ban[r]->mask = malloc(strlen(lcltarget)+1);
						if (cdat(channelid)->ban[r]->mask != NULL) {
							strcpy(cdat(channelid)->ban[r]->mask,lcltarget);
							cdat(channelid)->ban[r]->actor = malloc(strlen(udat(userid)->nickname)+1);
							if (cdat(channelid)->ban[r]->actor != NULL) {
								strcpy(cdat(channelid)->ban[r]->actor,udat(userid)->nickname);
								cdat(channelid)->ban[r]->time = ts();
								return MSUCCESS;
							}else{
								free(cdat(channelid)->ban[r]->mask);
								free(cdat(channelid)->ban[r]);
								cdat(channelid)->ban[r] = NULL;
								break;
							}
						}else{
							free(cdat(channelid)->ban[r]);
							cdat(channelid)->ban[r] = NULL;
							break;
						}
					}
				}
				r += 1;
			}
			return MERR_BANLISTFULL;
		}else{
			r = 0;
			while (r < MAXBANSPERCHAN) {
				if (cdat(channelid)->ban[r] != NULL) {
					if (strcasecmp(cdat(channelid)->ban[r]->mask,lcltarget) == 0) {
						chan_FreeBan(channelid,r);
						cdat(channelid)->ban[r] = NULL;
						return MSUCCESS;
					}
				}
				r += 1;
			}
			return MERR_FAILED;
		}
		return MERR_FAILED;
	}
	if (mode == 'v') {
		if (isoponchan(userid,channelid) == 0 || ishoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1 || udat(userid)->mode_servicesbot == 1) {
			z = usr_FindByNick(target);
			if (z == NOUSER) {
				usnd(userid,":%s 401 %s %s :No such nick",svname(),udat(userid)->nickname,target);
				return MERR_FAILED;
			}else{
				if (usr_IsUserInChan(z,channelid) == -1) {
					usnd(userid,":%s 441 %s %s %s :User is not on that channel",svname(),udat(userid)->nickname,udat(z)->nickname,cdat(channelid)->name);
					return MERR_FAILED;
				}
				if (udat(z)->mode_servicesbot == 1 && udat(userid)->mode_servicesbot == 0) {
					usnd(userid,":%s 483 %s :Cannot voice/devoice services",svname(),udat(userid)->nickname);
					return MERR_FAILED;
				}
				void* item = usr_chans_GetHandleByChan(z,channelid);
				if (item != NULL) {
					struct weircd_user_chaninfo* c = usr_chans_GetInfo(item);
					if (isplus == 1) {
						if (c->iamvoice == 0) {
							c->iamvoice = 1;return MSUCCESS;
						}else{return MERR_FAILED;}
					}else{
						if (c->iamvoice == 1) {
							c->iamvoice = 0;return MSUCCESS;
						}else{return MERR_FAILED;}
					}
					return MERR_FAILED;
				}
				return MERR_FAILED;
			}
		}else{
			return MERR_NEEDCHANOP;
		}
	}
	if (mode == 'h') {
		if (isoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1 || udat(userid)->mode_servicesbot == 1) {
			z = usr_FindByNick(target);
			if (z == NOUSER) {
				usnd(userid,":%s 401 %s %s :No such nick",svname(),udat(userid)->nickname,target);
				return MERR_FAILED;
			}else{
				if (usr_IsUserInChan(z,channelid) == -1) {
					usnd(userid,":%s 441 %s %s %s :User is not on that channel",svname(),udat(userid)->nickname,udat(z)->nickname,cdat(channelid)->name);
					return MERR_FAILED;
				}
				if (udat(z)->mode_servicesbot == 1 && udat(userid)->mode_servicesbot == 0) {
					usnd(userid,":%s 483 %s :Cannot op/deop services",svname(),udat(userid)->nickname);
					return MERR_FAILED;
				}
				void* item = usr_chans_GetHandleByChan(z,channelid);
				if (item != NULL) {
					struct weircd_user_chaninfo* c = usr_chans_GetInfo(item);
					if (isplus == 1) {
						if (c->iamhalfop == 0) {
							c->iamhalfop = 1;return MSUCCESS;
						}else{return MERR_FAILED;}
					}else{
						if (c->iamhalfop == 1) {
							c->iamhalfop = 0;return MSUCCESS;
						}else{return MERR_FAILED;}
					}
					return MERR_FAILED;
				}
				return MERR_FAILED;
			}
		}else{
			return MERR_NEEDCHANOP;
		}
	}
	if (mode == 'o') {
		if (isoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1 || udat(userid)->mode_servicesbot == 1) {
			z = usr_FindByNick(target);
			if (z == NOUSER) {
				usnd(userid,":%s 401 %s %s :No such nick",svname(),udat(userid)->nickname,target);
				return MERR_FAILED;
			}else{
				if (usr_IsUserInChan(z,channelid) == -1) {
					usnd(userid,":%s 441 %s %s %s :User is not on that channel",svname(),udat(userid)->nickname,udat(z)->nickname,cdat(channelid)->name);
					return MERR_FAILED;
				}
				if (udat(z)->mode_servicesbot == 1 && udat(userid)->mode_servicesbot == 0) {
					usnd(userid,":%s 483 %s :Cannot op/deop services",svname(),udat(userid)->nickname);
					return MERR_FAILED;
				}
				void* item = usr_chans_GetHandleByChan(z,channelid);
				if (item != NULL) {
					struct weircd_user_chaninfo* c = usr_chans_GetInfo(item);
					if (isplus == 1) {
						if (c->iamop == 0) {
							c->iamop = 1;return MSUCCESS;
						}else{return MERR_FAILED;}
					}else{
						if (c->iamop == 1) {
							c->iamop = 0;return MSUCCESS;
						}else{return MERR_FAILED;}
					}
					return MERR_FAILED;
				}
				return MERR_FAILED;
			}
		}else{
			return MERR_NEEDCHANOP;
		}
	}
	if (mode == 'l') {
		if (isoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1 || udat(userid)->mode_servicesbot == 1) {
			if (isplus == 1) {
				if (cdat(channelid)->userlimit <= 0 || cdat(channelid)->userlimit != atoi(target)) {
					cdat(channelid)->userlimit = atoi(target);
					if (cdat(channelid)->userlimit <= 0) {cdat(channelid)->userlimit = 0;return MERR_FAILED;}
					return MSUCCESS;
				}
			}
			return MERR_FAILED;
		}else{
			return MERR_NEEDCHANOP;
		}
	}
	if (mode == 'k') {
		if (isoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1 || udat(userid)->mode_servicesbot == 1) {
			if (isplus == 1) {
				if (cdat(channelid)->password == NULL && strcasecmp(target,"") != 0) {
					cdat(channelid)->password = malloc(strlen(target)+1);
					if (cdat(channelid)->password != NULL) {
						strcpy(cdat(channelid)->password,target);
						return MSUCCESS;
					}else{
						return MERR_FAILED;
					}
				}
			}else{
				if (cdat(channelid)->password != NULL) {
					if (strcasecmp(cdat(channelid)->password,target) == 0) {
						free(cdat(channelid)->password);
						cdat(channelid)->password = NULL;
						return MSUCCESS;
					}
				}
			}
			return MERR_FAILED;
		}else{
			return MERR_NEEDCHANOP;
		}
	}
	return MERR_FAILED;
}
int fchanperm(USER userid, CHANNEL channelid) {
	if (isoponchan(userid,channelid) == 0 || ishoponchan(userid,channelid) == 0 || udat(userid)->isircop == 1) {
		return 1;
	}else{
		return -1;
	}
}
int fSetChanMode(char chanmode,USER userid, CHANNEL channelid,int istplus) {
	if (fchanperm(userid,channelid) == 1) {
		if (chanmode == 't') {
			if (istplus == 1) {
				if (cdat(channelid)->mode_topiclock == 0) {
					cdat(channelid)->mode_topiclock = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_topiclock == 1) {
					cdat(channelid)->mode_topiclock = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		if (chanmode == 'l') {
			if (istplus != 1) {
				if (cdat(channelid)->userlimit > 0) {cdat(channelid)->userlimit = 0;return 1;}
			}
			return -1;
		}
		if (chanmode == 'k') {
			if (istplus != 1) {
				if (cdat(channelid)->password != NULL) {free(cdat(channelid)->password);cdat(channelid)->password = NULL;return 1;}
			}
			return -1;
		}
		if (chanmode == 's') {
			if (istplus == 1) {
				if (cdat(channelid)->mode_private == 0) {
					cdat(channelid)->mode_private = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_private == 1) {
					cdat(channelid)->mode_private = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		if (chanmode == 'c') {
			if (istplus == 1) {
				if (cdat(channelid)->mode_blockcolours == 0) {
					cdat(channelid)->mode_blockcolours = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_blockcolours == 1) {
					cdat(channelid)->mode_blockcolours = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		if (chanmode == 'm') {
			if (istplus == 1) {
				if (cdat(channelid)->mode_moderated == 0) {
					cdat(channelid)->mode_moderated = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_moderated == 1) {
					cdat(channelid)->mode_moderated = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		if (chanmode == 'O') {
			if (udat(userid)->isircop == 0) {
				return MERR_NEEDIRCOP;
			}
			if (istplus == 1) {
				if (cdat(channelid)->mode_ircopsonly == 0) {
					cdat(channelid)->mode_ircopsonly = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_ircopsonly == 1) {
					cdat(channelid)->mode_ircopsonly = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		if (chanmode == 'i') {
			if (istplus == 1) {
				if (cdat(channelid)->mode_inviteonly == 0) {
					cdat(channelid)->mode_inviteonly = 1;return MSUCCESS;
				}else{return MERR_FAILED;}
			}else{
				if (cdat(channelid)->mode_inviteonly == 1) {
					cdat(channelid)->mode_inviteonly = 0;return MSUCCESS;
				}else{return MERR_FAILED;}
			}
		}
		return MERR_FAILED;
	}
	return MERR_NEEDCHANOP;
}
char parambuf[200];
const char* mode_FirstParameter(const char* parameters) {
	strncpy(parambuf,parameters,199);parambuf[199] = 0;
	cutonfirstspace(parambuf);
	return parambuf;
}
void mode_CutParameter(char* parameters) {
	trimleft(parameters);
	if (charpos(parameters,' ') > 0) {
		cut(parameters,charpos(parameters,' ')+1);
	}else{
		strcpy(parameters,"");
	}
}
void mode_ParseForChan(USER userid, USER channelid, const char* modes) {
	if (userid == NOUSER) {return;}
	
	//extract modes and their parameters in two strings
	
	char* modestring = alloca(strlen(modes)+1);
	strcpy(modestring,modes);
	trimleft(modestring);trimright(modestring);
	char* modeparameters = alloca(strlen(modestring)+1);
	
	if (charpos(modestring,' ') > 0) {
		//save the parameters
		strcpy(modeparameters,modestring);
		cut(modeparameters,charpos(modeparameters,' ')+1);
		modestring[charpos(modestring,' ')] = 0;
		trimleft(modeparameters);trimright(modeparameters);
	}else{
		//no parameters available
		strcpy(modeparameters,"");
	}
	//printf("Attempting to do '%s' on %s with parameters '%s'\n",modestring,cdat(channelid)->name,modeparameters);
	
	//space for storing failed modes for including them all in one error message
	
	int msg_youneedchannelop = 0; //mark if we spit out such an error message later
	int msg_youneedircop = 0;
	int msg_banlistfull = 0;
	char* modes_unknownmodechar = alloca(strlen(modes)+1);
	strcpy(modes_unknownmodechar,"");
	char* modes_onlyserver = alloca(strlen(modes)+1);
	strcpy(modes_onlyserver,"");
	char* modes_moreparams = alloca(strlen(modes)+1);
	strcpy(modes_moreparams,"");
	
	//later we store the actual changes that happened here:
	
	char* changedmodestring = alloca(strlen(modestring)+1);
	strcpy(changedmodestring,"");
	char* changedparamstring = alloca(strlen(modeparameters)+1);
	strcpy(changedparamstring,"");
	
	//if we have no modes to change, just send the chan's current modes
	
	if (strlen(modestring) < 1 || strcasecmp(modestring,"+") == 0 || strcasecmp(modestring,"-") == 0) {//keine parameter - das sollte nicht passieren! - egal, einfach chanmodes senden
		mode_SendChanModesToUser(userid,channelid,0);
		return;
	}
	
	//now go through all modes
	
	int banlistsent = 0;
	int istplus = -1; //is the current mode preset by a + or - (or nothing)
	int changedmodeistplus = -1;//for composing the changed modes string
	if (strlen(modestring) > 25) {modestring[25] = 0;} //stop parsing after 25 modes
	int modeswithparameter = 0;//for stopping after
	unsigned int r = 0;

	while (r < strlen(modestring)) {
		char mchar = modestring[r];
		if (mchar == '+') {istplus = 1;r++;continue;}
		if (mchar == '-') {istplus = 0;r++;continue;}
		//check if it's a mode with parameter
		if (mchar == 'v' || mchar == 'o' || mchar == 'h' || mchar == 'b' || mchar == 'k' || (mchar == 'l' && istplus != 0)) {
			if (istplus >= 0 && modeswithparameter < MAXPARAMMODES) {
				if (strlen(modeparameters) <= 0) {
					if (mchar == 'b') {
						if (banlistsent == 0) {
							mode_SendChannelBans(userid, channelid, 0);
							banlistsent = 1;
						}
						r++;continue;
					}
					modes_moreparams[strlen(modes_moreparams)+1] = 0;
					modes_moreparams[strlen(modes_moreparams)] = mchar;
					r++;continue;
				}
				int k = mode_ExecuteWithParameter(userid, channelid, mchar, modeparameters, istplus);
				if (k == 1) {
					//execution was successful
					if (changedmodeistplus != istplus) {
						if (istplus == 1) {
							strcat(changedmodestring,"+");
						}else{
							strcat(changedmodestring,"-");
						}
						changedmodeistplus = istplus;
					}
					changedmodestring[strlen(changedmodestring)+1] = 0;
					changedmodestring[strlen(changedmodestring)] = mchar;
					if (strlen(changedparamstring) > 0) {
						strcat(changedparamstring, " ");
					}
					char tmp[MAXUSERMASKLEN+1];
					strncpy(tmp,mode_FirstParameter(modeparameters),MAXUSERMASKLEN);
					tmp[MAXUSERMASKLEN] = 0;
					USER r = usr_FindByNick(tmp);
					if (r != NOUSER) {
						strcpy(tmp,udat(r)->nickname);
					}
					if (mchar == 'b') {
						masks_MakeValid(tmp);
						irc_ClearRestrictedCache(channelid);
					}
					if ((mchar == 'o' || mchar == 'h' || mchar == 'v') && r != NOUSER) {
						irc_ClearRestrictedCacheOfUser(r,channelid);
					}
					strcat(changedparamstring, tmp);
				}else{
					//execution failed
					if (k == MERR_NEEDCHANOP) {
						msg_youneedchannelop = 1;
					}
					if (k == MERR_BANLISTFULL) {
						msg_banlistfull = 1;
					}
					if (k == MERR_NEEDIRCOP) {
						msg_youneedircop = 1;
					}
				}
			}
			if (istplus == -1 && mchar == 'b' && banlistsent == 0) {
				mode_SendChannelBans(userid, channelid, 0);
				banlistsent = 1;
			}
			mode_CutParameter(modeparameters);
			modeswithparameter++;
			r++;continue;
		}
		if (mchar == 't' || mchar == 'm' || mchar == 'c' || mchar == 'O' || mchar == 's' || mchar == 'i' || (mchar == 'l' && istplus == 0)) {
			int k = fSetChanMode(mchar,userid,channelid,istplus);
			if (k == MSUCCESS) {
				//execution was successful
				if (changedmodeistplus != istplus) {
					if (istplus == 1) {
						strcat(changedmodestring,"+");
					}else{
						strcat(changedmodestring,"-");
					}
					changedmodeistplus = istplus;
				}
				changedmodestring[strlen(changedmodestring)+1] = 0;
				changedmodestring[strlen(changedmodestring)] = mchar;
				if (mchar == 'm') {
					irc_ClearRestrictedCache(channelid);
				}
			}else{
				//execution failed
				if (k == MERR_NEEDCHANOP) {
					msg_youneedchannelop = 1;
				}
				if (k == MERR_NEEDIRCOP) {
					msg_youneedircop = 1;
				}
			}
			r++;continue;
		}
		if (mchar == 'n' || mchar == 'r') {
			modes_onlyserver[strlen(modes_onlyserver) + 1] = 0;
			modes_onlyserver[strlen(modes_onlyserver)] = mchar;
			r++;continue;
		}
		modes_unknownmodechar[strlen(modes_unknownmodechar) + 1] = 0;
		modes_unknownmodechar[strlen(modes_unknownmodechar)] = mchar;
		r++;
	}
	//now spit out the resulting error messages and then the resulting mode change event message
	//error messages:
	if (msg_youneedchannelop == 1) {
		usnd(userid,":%s 482 %s %s :You need to be channel operator to do that",svname(),udat(userid)->nickname,cdat(channelid)->name);
	}
	if (msg_youneedircop == 1) {
		usnd(userid,":%s 481 %s :Permission Denied: Insufficient privileges",svname(),udat(userid)->nickname);
	}
	if (msg_banlistfull == 1) {
		usnd(userid,":%s 478 %s %s :Channel ban list is full",svname(),udat(userid)->nickname,cdat(channelid)->name);
	}
	//error message with unknown modes and server only modes:
	if (strcasecmp(modes_onlyserver,"") != 0) {
		usnd(userid,":%s 468 %s %s :only servers can change that mode",svname(),udat(userid)->nickname,modes_onlyserver);
	}
	if (strcasecmp(modes_unknownmodechar,"") != 0) {
		usnd(userid,":%s 472 %s %s :mode character(s) unknown",svname(),udat(userid)->nickname,modes_unknownmodechar);
	}
	if (strcasecmp(modes_moreparams,"") != 0) {
		usnd(userid,":%s 461 %s MODE +%s :Not enough parameters",svname(),udat(userid)->nickname,modes_moreparams);
	}
	//resulting mode change event message:
	char msg[512];
	if (strlen(changedparamstring) > 0) {
		snprintf(msg,511,":%s!%s@%s MODE %s %s %s",udat(userid)->nickname,udat(userid)->suserid,udat(userid)->host,cdat(channelid)->name,changedmodestring,changedparamstring);
		msg[511] = 0;
		usr_TellAllUsersInChan(msg,channelid);
		if (usr_IsUserInChan(userid,channelid) != 0) {
			usnd(userid,msg);
		}
	}else{
		if (strlen(changedmodestring) > 0) {
			snprintf(msg,511,":%s!%s@%s MODE %s %s",udat(userid)->nickname,udat(userid)->suserid,udat(userid)->host,cdat(channelid)->name,changedmodestring);
			msg[511] = 0;
			usr_TellAllUsersInChan(msg,channelid);
			if (usr_IsUserInChan(userid,channelid) != 0) {
				usnd(userid,msg);
			}
		}
	}
}
int setusermode(int isplus,USER userid,char mode) {
	#ifndef nowimode
	if (mode == 'w') {
		if (isplus == 1) {
			if (udat(userid)->mode_walluser == 0) {udat(userid)->mode_walluser = 1;return 0;}
		}else{
			if (udat(userid)->mode_walluser == 1) {udat(userid)->mode_walluser = 0;return 0;}
		}
		return -1;
	}
	if (mode == 'i') {
		if (isplus == 1) {
			if (udat(userid)->mode_invisible == 0) {udat(userid)->mode_invisible = 1;return 0;}
		}else{
			if (udat(userid)->mode_invisible == 1) {udat(userid)->mode_invisible = 0;return 0;}
		}
		return -1;
	}
	#endif
	if (mode == 'B') {
		if (isplus == 1) {
			if (udat(userid)->mode_bot == 0) {udat(userid)->mode_bot = 1;return 0;}
		}else{
			if (udat(userid)->mode_bot == 1) {udat(userid)->mode_bot = 0;return 0;}
		}
		return -1;
	}
	if (mode == 'c') {
		if (isplus == 1) {
			if (udat(userid)->mode_connectionnotices == 0) {udat(userid)->mode_connectionnotices = 1;return 0;}
		}else{
			if (udat(userid)->mode_connectionnotices == 1) {udat(userid)->mode_connectionnotices = 0;return 0;}
		}
		return -1;
	}
	if (mode == 'F') {
		if (isplus == 1) {
			if (udat(userid)->mode_noflood == 0) {udat(userid)->mode_noflood = 1;return 0;}
		}else{
			if (udat(userid)->mode_noflood == 1) {udat(userid)->mode_noflood = 0;return 0;}
		}
		return -1;
	}
	return -1;
}
void mode_ParseForUser(USER userid,char* modes) {
	alreadychannelopmessage = 0;
	alreadyonlyserversmessage = 0;
	char unknownmodes[PROCESSLENGTH] = "";
	char onlyservermodes[PROCESSLENGTH] = "";
	char changedmodes[PROCESSLENGTH] = "";
	char lclmodes[50];
	strncpy(lclmodes,modes,19);
	lclmodes[19] = 0;
	int isplus = -1;
	int alreadyoperator = 0;
	unsigned int r = 0;
	while (r < strlen(lclmodes)) {
		if (lclmodes[r] == '-') {
			if (isplus != 0) {alreadyoperator = 0;}isplus = 0;
		}
		if (lclmodes[r] == '+') {
			if (isplus != 1) {alreadyoperator = 0;}isplus = 1;
		}
		if (lclmodes[r] == 'B' || lclmodes[r] == 'o' || lclmodes[r] == 'r' || lclmodes[r] == 'S' || lclmodes[r] == 'c' || lclmodes[r] == 'F') {
			if (isplus != -1 && (lclmodes[r] == 'B' || lclmodes[r] == 'c' || lclmodes[r] == 'F')) {
				if (lclmodes[r] == 'c') {
					if (udat(userid)->isircop != 1 || udat(userid)->opflags.flag_connectionnotices == 0) {
						usnd(userid,":%s 481 %s :Permission Denied: Insufficient privileges",svname(),udat(userid)->nickname);
						r++;continue;
					}
				}
				if (lclmodes[r] == 'F') {
					if (udat(userid)->isircop != 1 || udat(userid)->opflags.flag_noflood == 0) {
						usnd(userid,":%s 481 %s :Permission Denied: Insufficient privileges",svname(),udat(userid)->nickname);
						r++;continue;
					}
				}
				if (setusermode(isplus,userid,lclmodes[r]) == 0) {
					if (alreadyoperator == 0) {
						if (isplus == 1) {strcat(changedmodes,"+");}else{strcat(changedmodes,"-");}
						alreadyoperator = 1;
					}
					changedmodes[strlen(changedmodes) + 1] = 0;
					changedmodes[strlen(changedmodes)] = lclmodes[r];
				}
			}
			#ifndef nowimode
			if (isplus != -1 && (lclmodes[r] == 's') {
				onlyservermodes[strlen(onlyservermodes) + 1] = 0;
				onlyservermodes[strlen(onlyservermodes)] = lclmodes[r];
			}
			#endif
			if (isplus != -1 && (lclmodes[r] == 'o' || lclmodes[r] == 'r' || lclmodes[r] == 'S')) {
				onlyservermodes[strlen(onlyservermodes) + 1] = 0;
				onlyservermodes[strlen(onlyservermodes)] = lclmodes[r];
			}
		}else{
			if (lclmodes[r] != '+' && lclmodes[r] != '-') {
				unknownmodes[strlen(unknownmodes) + 1] = 0;
				unknownmodes[strlen(unknownmodes)] = lclmodes[r];
			}
		}
		r += 1;
	}
	if (strcasecmp(onlyservermodes,"") != 0) {
		usnd(userid,":%s 468 %s %s :only servers can change that mode",svname(),udat(userid)->nickname,onlyservermodes);
	}
	if (strcasecmp(unknownmodes,"") != 0) {
		usnd(userid,":%s 472 %s %s :mode character(s) unknown",svname(),udat(userid)->nickname,unknownmodes);
	}
	if (strcasecmp(changedmodes,"") != 0) {
		usnd(userid,":%s!%s@%s MODE %s %s",udat(userid)->nickname,udat(userid)->suserid,udat(userid)->host,udat(userid)->nickname,changedmodes);
	}
}

